From 6a5aaee9ce6ada819bcb5f0d738b2b3e51c457c7 Mon Sep 17 00:00:00 2001
From: Andrew Esh <andrew.esh@qterics.com>
Date: Fri, 7 Jul 2017 15:18:41 -0500
Subject: [PATCH 21/25] _common_ Move openssl recipe into a directory and add a
 patch to publish symbols.

---
 .../0001-Publish-functions-per-version.patch       | 4690 ++++++++++++++++++++
 recipes/{ => openssl}/openssl.recipe               |    1 +
 2 files changed, 4691 insertions(+)
 create mode 100644 recipes/openssl/0001-Publish-functions-per-version.patch
 rename recipes/{ => openssl}/openssl.recipe (95%)

diff --git a/recipes/openssl.recipe b/recipes/openssl/openssl.recipe
similarity index 95%
rename from recipes/openssl.recipe
rename to recipes/openssl/openssl.recipe
index 35f3aba..a8ee539 100644
--- a/recipes/openssl.recipe
+++ b/recipes/openssl/openssl.recipe
@@ -9,6 +9,7 @@ class Recipe(recipe.Recipe):
     stype = SourceType.TARBALL
     btype = BuildType.MAKEFILE
     url = 'https://github.com/openssl/openssl/archive/OpenSSL_%(version)s.tar.gz'
+    patches = ['0001-Publish-functions-per-version.patch']
     licenses = [License.OpenSSL]
     configure_tpl = "./config shared no-ssl2 no-ssl3 no-comp no-hw no-engine no-dso no-asm --prefix=%(prefix)s --openssldir=%(prefix)s"
 
-- 
2.15.0

